namespace CMSMicroservice.Application.InventoryItemCQ.Commands.UpdateInventoryQuantity;

public class UpdateInventoryQuantityCommandValidator : AbstractValidator<UpdateInventoryQuantityCommand>
{
    public UpdateInventoryQuantityCommandValidator()
    {
        RuleFor(x => x.Id)
            .GreaterThan(0).WithMessage("شناسه آیتم موجودی معتبر نیست");

        RuleFor(x => x.NewQuantity)
            .GreaterThanOrEqualTo(0).WithMessage("تعداد موجودی نمی‌تواند منفی باشد");
    }
}
